Index: palm/trunk/SOURCE/indoor_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4645)
+++ palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4646)
@@ -727,11 +740,10 @@
           buildings(nb)%volume   = 0.0_wp
           buildings(nb)%vol_frac = 0.0_wp
-          
-          IF ( ANY( building_id_f%var(nys:nyn,nxl:nxr) == buildings(nb)%id ) ) &
-          THEN
+
+          IF ( ANY( building_id_f%var(nys:nyn,nxl:nxr) == buildings(nb)%id ) )  THEN
              DO  i = nxl, nxr
                 DO  j = nys, nyn
                    DO  k = buildings(nb)%kb_min, buildings(nb)%kb_max
-                      IF ( building_id_f%var(j,i) /= building_id_f%fill )      &
+                      IF ( building_id_f%var(j,i) /= building_id_f%fill )                          &
                          volume_l(k) = volume_l(k) + dx * dy * dzw(k+1)
                    ENDDO
@@ -742,13 +754,11 @@
 !
 !--    Sum-up building volume from all subdomains
-#if defined( __parallel ) 
-       CALL MPI_ALLREDUCE( volume_l, volume, SIZE(volume), MPI_REAL, MPI_SUM,  &
-                           comm2d, ierr )
+#if defined( __parallel )
+       CALL MPI_ALLREDUCE( volume_l, volume, SIZE(volume), MPI_REAL, MPI_SUM, comm2d, ierr )
 #else
        volume = volume_l
 #endif
 !
-!--    Save total building volume as well as local fraction on volume on 
-!--    building data structure.
+!--    Save total building volume as well as local fraction on volume on building data structure.
        IF ( ALLOCATED( buildings(nb)%volume ) )  buildings(nb)%volume = volume
 !
@@ -757,6 +767,5 @@
 !
 !--    Calculate total building volume
-       IF ( ALLOCATED( buildings(nb)%volume ) )                                &
-          buildings(nb)%vol_tot = SUM( buildings(nb)%volume )
+       IF ( ALLOCATED( buildings(nb)%volume ) )  buildings(nb)%vol_tot = SUM( buildings(nb)%volume )
 
        DEALLOCATE( volume   )
@@ -765,5 +774,5 @@
     ENDDO
 !
-!-- Allocate arrays for indoor temperature.  
+!-- Allocate arrays for indoor temperature.
     DO  nb = 1, num_build
        IF ( buildings(nb)%on_pe )  THEN
@@ -775,6 +784,6 @@
     ENDDO
 !
-!-- Allocate arrays for number of facades per height level. Distinguish between
-!-- horizontal and vertical facades. 
+!-- Allocate arrays for number of facades per height level. Distinguish between horizontal and
+!-- vertical facades.
     DO  nb = 1, num_build
        IF ( buildings(nb)%on_pe )  THEN
@@ -795,22 +804,22 @@
 !
 !--    For the current facade element determine corresponding building index.
-!--    First, obtain j,j,k indices of the building. Please note the
-!--    offset between facade/surface element and building location (for 
-!--    horizontal surface elements the horizontal offsets are zero).
+!--    First, obtain j,j,k indices of the building. Please note the offset between facade/surface
+!--    element and building location (for horizontal surface elements the horizontal offsets are
+!--    zero).
        i = surf_usm_h%i(m) + surf_usm_h%ioff
        j = surf_usm_h%j(m) + surf_usm_h%joff
        k = surf_usm_h%k(m) + surf_usm_h%koff
 !
-!--    Determine building index and check whether building is on PE
-       nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), DIM = 1 )
+!--    Determine building index and check whether building is on PE.
+       nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), DIM=1 )
 
        IF ( buildings(nb)%on_pe )  THEN
 !
 !--       Count number of facade elements at each height level.
-          buildings(nb)%num_facade_h(k) = buildings(nb)%num_facade_h(k) + 1 
+          buildings(nb)%num_facade_h(k) = buildings(nb)%num_facade_h(k) + 1
 !
 !--       Moreover, sum up number of local facade elements per building.
-          buildings(nb)%num_facades_per_building_h_l =                         &
-                                buildings(nb)%num_facades_per_building_h_l + 1
+          buildings(nb)%num_facades_per_building_h_l =                                             &
+                                                      buildings(nb)%num_facades_per_building_h_l + 1
        ENDIF
     ENDDO
@@ -822,28 +831,26 @@
 !
 !--       For the current facade element determine corresponding building index.
-!--       First, obtain j,j,k indices of the building. Please note the
-!--       offset between facade/surface element and building location (for 
-!--       vertical surface elements the vertical offsets are zero).
+!--       First, obtain j,j,k indices of the building. Please note the offset between facade/surface
+!--       element and building location (for vertical surface elements the vertical offsets are
+!--       zero).
           i = surf_usm_v(l)%i(m) + surf_usm_v(l)%ioff
           j = surf_usm_v(l)%j(m) + surf_usm_v(l)%joff
           k = surf_usm_v(l)%k(m) + surf_usm_v(l)%koff
 
-          nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ),        &
-                       DIM = 1 )
+          nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), DIM=1 )
           IF ( buildings(nb)%on_pe )  THEN
-             buildings(nb)%num_facade_v(k) = buildings(nb)%num_facade_v(k) + 1 
-             buildings(nb)%num_facades_per_building_v_l =                      &
-                                buildings(nb)%num_facades_per_building_v_l + 1
+             buildings(nb)%num_facade_v(k) = buildings(nb)%num_facade_v(k) + 1
+             buildings(nb)%num_facades_per_building_v_l =                                          &
+                                                      buildings(nb)%num_facades_per_building_v_l + 1
           ENDIF
        ENDDO
     ENDDO
 !
-!-- Determine total number of facade elements per building and assign number to 
-!-- building data type.
+!-- Determine total number of facade elements per building and assign number to building data type.
     DO  nb = 1, num_build
 !
-!--    Allocate dummy array used for summing-up facade elements. 
-!--    Please note, dummy arguments are necessary as building-date type
-!--    arrays are not necessarily allocated on all PEs.
+!--    Allocate dummy array used for summing-up facade elements.
+!--    Please note, dummy arguments are necessary as building-date type arrays are not necessarily
+!--    allocated on all PEs.
        ALLOCATE( num_facades_h(buildings(nb)%kb_min:buildings(nb)%kb_max) )
        ALLOCATE( num_facades_v(buildings(nb)%kb_min:buildings(nb)%kb_max) )
@@ -860,24 +867,22 @@
        ENDIF
 
-#if defined( __parallel ) 
-       CALL MPI_ALLREDUCE( num_facades_h,                                      &
-                           receive_dum_h,                                      &
-                           buildings(nb)%kb_max - buildings(nb)%kb_min + 1,    &
-                           MPI_INTEGER,                                        &
-                           MPI_SUM,                                            &
-                           comm2d,                                             &
+#if defined( __parallel )
+       CALL MPI_ALLREDUCE( num_facades_h,                                                          &
+                           receive_dum_h,                                                          &
+                           buildings(nb)%kb_max - buildings(nb)%kb_min + 1,                        &
+                           MPI_INTEGER,                                                            &
+                           MPI_SUM,                                                                &
+                           comm2d,                                                                 &
                            ierr )
 
-       CALL MPI_ALLREDUCE( num_facades_v,                                      &
-                           receive_dum_v,                                      &
-                           buildings(nb)%kb_max - buildings(nb)%kb_min + 1,    &
-                           MPI_INTEGER,                                        &
-                           MPI_SUM,                                            &
-                           comm2d,                                             &
+       CALL MPI_ALLREDUCE( num_facades_v,                                                          &
+                           receive_dum_v,                                                          &
+                           buildings(nb)%kb_max - buildings(nb)%kb_min + 1,                        &
+                           MPI_INTEGER,                                                            &
+                           MPI_SUM,                                                                &
+                           comm2d,                                                                 &
                            ierr )
-       IF ( ALLOCATED( buildings(nb)%num_facade_h ) )                          &
-           buildings(nb)%num_facade_h = receive_dum_h
-       IF ( ALLOCATED( buildings(nb)%num_facade_v ) )                          &
-           buildings(nb)%num_facade_v = receive_dum_v
+       IF ( ALLOCATED( buildings(nb)%num_facade_h ) )  buildings(nb)%num_facade_h = receive_dum_h
+       IF ( ALLOCATED( buildings(nb)%num_facade_v ) )  buildings(nb)%num_facade_v = receive_dum_v
 #else
        buildings(nb)%num_facade_h = num_facades_h
@@ -893,6 +898,6 @@
 !
 !--    Allocate index arrays which link facade elements with surface-data type.
-!--    Please note, no height levels are considered here (information is stored
-!--    in surface-data type itself).
+!--    Please note, no height levels are considered here (information is stored in surface-data type
+!--    itself).
        IF ( buildings(nb)%on_pe )  THEN
 !
@@ -901,9 +906,8 @@
           buildings(nb)%num_facades_per_building_v = SUM( buildings(nb)%num_facade_v )
 !
-!--       Allocate arrays which link the building with the horizontal and vertical
-!--       urban-type surfaces. Please note, linking arrays are allocated over all
-!--       facade elements, which is required in case a building is located at the
-!--       subdomain boundaries, where the building and the corresponding surface
-!--       elements are located on different subdomains. 
+!--       Allocate arrays which link the building with the horizontal and vertical urban-type
+!--       surfaces. Please note, linking arrays are allocated over all facade elements, which is
+!--       required in case a building is located at the subdomain boundaries, where the building and
+!--       the corresponding surface elements are located on different subdomains.
           ALLOCATE( buildings(nb)%m_h(1:buildings(nb)%num_facades_per_building_h_l) )
 
@@ -916,27 +920,24 @@
           buildings(nb)%vpf = 0.0_wp
 
-          facade_area_v = 0.0_wp          
+          facade_area_v = 0.0_wp
           DO  k = buildings(nb)%kb_min, buildings(nb)%kb_max
-             facade_area_v = facade_area_v + buildings(nb)%num_facade_v(k)     &
-                             * dzw(k+1) * dx
+             facade_area_v = facade_area_v + buildings(nb)%num_facade_v(k) * dzw(k+1) * dx
           ENDDO
 !
-!--       Determine volume per total facade area (vpf). For the horizontal facade
-!--       area num_facades_per_building_h can be taken, multiplied with dx*dy. 
-!--       However, due to grid stretching, vertical facade elements must be
-!--       summed-up vertically. Please note, if dx /= dy, an error is made!
-          buildings(nb)%vpf = buildings(nb)%vol_tot /                          &
-                        ( buildings(nb)%num_facades_per_building_h * dx * dy + &
-                          facade_area_v )
+!--       Determine volume per total facade area (vpf). For the horizontal facade area
+!--       num_facades_per_building_h can be taken, multiplied with dx*dy.
+!--       However, due to grid stretching, vertical facade elements must be summed-up vertically.
+!--       Please note, if dx /= dy, an error is made!
+          buildings(nb)%vpf = buildings(nb)%vol_tot /                                              &
+                              ( buildings(nb)%num_facades_per_building_h * dx * dy + facade_area_v )
 !
 !--       Determine floor-area-per-facade.
-          buildings(nb)%fapf = buildings(nb)%num_facades_per_building_h        &
-                             * dx * dy                                         &
-                             / ( buildings(nb)%num_facades_per_building_h      &
-                               * dx * dy + facade_area_v )
+          buildings(nb)%fapf = buildings(nb)%num_facades_per_building_h     * dx * dy              &
+                               / ( buildings(nb)%num_facades_per_building_h * dx * dy              &
+                                   + facade_area_v )
        ENDIF
     ENDDO
 !
-!-- Link facade elements with surface data type. 
+!-- Link facade elements with surface data type.
 !-- Allocate array for counting.
     ALLOCATE( n_fa(1:num_build) )
@@ -947,9 +948,9 @@
        j = surf_usm_h%j(m) + surf_usm_h%joff
 
-       nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), DIM = 1 )
+       nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), DIM=1 )
 
        IF ( buildings(nb)%on_pe )  THEN
           buildings(nb)%m_h(n_fa(nb)) = m
-          n_fa(nb) = n_fa(nb) + 1  
+          n_fa(nb) = n_fa(nb) + 1
        ENDIF
     ENDDO
@@ -961,10 +962,10 @@
           j = surf_usm_v(l)%j(m) + surf_usm_v(l)%joff
 
-          nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), DIM = 1 )
+          nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), DIM=1 )
 
           IF ( buildings(nb)%on_pe )  THEN
              buildings(nb)%l_v(n_fa(nb)) = l
              buildings(nb)%m_v(n_fa(nb)) = m
-             n_fa(nb) = n_fa(nb) + 1   
+             n_fa(nb) = n_fa(nb) + 1
           ENDIF
        ENDDO
@@ -972,21 +973,21 @@
     DEALLOCATE( n_fa )
 !
-!-- Initialize building parameters, first by mean building type. Note,
-!-- in this case all buildings have the same type. 
-!-- In a second step initialize with building tpyes from static input file, 
-!-- where building types can be individual for each building.
+!-- Initialize building parameters, first by mean building type. Note, in this case all buildings
+!-- have the same type.
+!-- In a second step initialize with building tpyes from static input file, where building types can
+!-- be individual for each building.
     buildings(:)%lambda_layer3       = building_pars(31,building_type)
     buildings(:)%s_layer3            = building_pars(44,building_type)
     buildings(:)%f_c_win             = building_pars(119,building_type)
-    buildings(:)%g_value_win         = building_pars(120,building_type)    
-    buildings(:)%u_value_win         = building_pars(121,building_type)       
-    buildings(:)%eta_ve              = building_pars(124,building_type)    
-    buildings(:)%factor_a            = building_pars(125,building_type)    
+    buildings(:)%g_value_win         = building_pars(120,building_type)
+    buildings(:)%u_value_win         = building_pars(121,building_type)
+    buildings(:)%eta_ve              = building_pars(124,building_type)
+    buildings(:)%factor_a            = building_pars(125,building_type)
     buildings(:)%factor_c            = building_pars(126,building_type)
-    buildings(:)%lambda_at           = building_pars(127,building_type)    
-    buildings(:)%theta_int_h_set     = building_pars(13,building_type)    
+    buildings(:)%lambda_at           = building_pars(127,building_type)
+    buildings(:)%theta_int_h_set     = building_pars(13,building_type)
     buildings(:)%theta_int_c_set     = building_pars(12,building_type)
-    buildings(:)%q_h_max             = building_pars(128,building_type)    
-    buildings(:)%q_c_max             = building_pars(129,building_type)          
+    buildings(:)%q_h_max             = building_pars(128,building_type)
+    buildings(:)%q_c_max             = building_pars(129,building_type)
     buildings(:)%qint_high           = building_pars(130,building_type)
     buildings(:)%qint_low            = building_pars(131,building_type)
@@ -997,34 +998,33 @@
 !
 !-- Initialize seasonal dependent parameters, depending on day of the year.
-!-- First, calculated day of the year. 
+!-- First, calculated day of the year.
     CALL get_date_time( time_since_reference_point, day_of_year = day_of_year )
 !
-!-- Summer is defined in between northward- and southward equinox. 
-    IF ( day_of_year >= northward_equinox  .AND.                               &
-         day_of_year <= southward_equinox )  THEN
-       buildings(:)%air_change_low      = summer_pars(0,building_type)    
+!-- Summer is defined in between northward- and southward equinox.
+    IF ( day_of_year >= northward_equinox  .AND.  day_of_year <= southward_equinox )  THEN
+       buildings(:)%air_change_low      = summer_pars(0,building_type)
        buildings(:)%air_change_high     = summer_pars(1,building_type)
     ELSE
-       buildings(:)%air_change_low      = winter_pars(0,building_type)    
+       buildings(:)%air_change_low      = winter_pars(0,building_type)
        buildings(:)%air_change_high     = winter_pars(1,building_type)
     ENDIF
 !
-!-- Initialize ventilaation load. Please note, building types > 7 are actually
-!-- not allowed (check already in urban_surface_mod and netcdf_data_input_mod. 
-!-- However, the building data base may be later extended. 
-    IF ( building_type ==  1  .OR.  building_type ==  2  .OR.                  &
-         building_type ==  3  .OR.  building_type == 10  .OR.                  &
+!-- Initialize ventilation load. Please note, building types > 7 are actually not allowed (check
+!-- already in urban_surface_mod and netcdf_data_input_mod.
+!-- However, the building data base may be later extended.
+    IF ( building_type ==  1  .OR.  building_type ==  2  .OR.                                      &
+         building_type ==  3  .OR.  building_type == 10  .OR.                                      &
          building_type == 11  .OR.  building_type == 12 )  THEN
        buildings(:)%ventilation_int_loads = 1
 !
 !-- Office, building with large windows
-    ELSEIF ( building_type ==  4  .OR.  building_type ==  5  .OR.              &
-             building_type ==  6  .OR.  building_type ==  7  .OR.              &
+    ELSEIF ( building_type ==  4  .OR.  building_type ==  5  .OR.                                  &
+             building_type ==  6  .OR.  building_type ==  7  .OR.                                  &
              building_type ==  8  .OR.  building_type ==  9)  THEN
        buildings(:)%ventilation_int_loads = 2
 !
 !-- Industry, hospitals
-    ELSEIF ( building_type == 13  .OR.  building_type == 14  .OR.              &
-             building_type == 15  .OR.  building_type == 16  .OR.              &
+    ELSEIF ( building_type == 13  .OR.  building_type == 14  .OR.                                  &
+             building_type == 15  .OR.  building_type == 16  .OR.                                  &
              building_type == 17  .OR.  building_type == 18 )  THEN
        buildings(:)%ventilation_int_loads = 3
@@ -1036,56 +1036,54 @@
           DO  j = nys, nyn
               IF ( building_id_f%var(j,i) /= building_id_f%fill )  THEN
-                 nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), &
-                              DIM = 1 )
+                 nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), DIM=1 )
                  bt = building_type_f%var(j,i)
-                 
+
                  buildings(nb)%lambda_layer3       = building_pars(31,bt)
                  buildings(nb)%s_layer3            = building_pars(44,bt)
                  buildings(nb)%f_c_win             = building_pars(119,bt)
-                 buildings(nb)%g_value_win         = building_pars(120,bt)    
-                 buildings(nb)%u_value_win         = building_pars(121,bt)    
-                 buildings(nb)%eta_ve              = building_pars(124,bt)    
-                 buildings(nb)%factor_a            = building_pars(125,bt)    
+                 buildings(nb)%g_value_win         = building_pars(120,bt)
+                 buildings(nb)%u_value_win         = building_pars(121,bt)
+                 buildings(nb)%eta_ve              = building_pars(124,bt)
+                 buildings(nb)%factor_a            = building_pars(125,bt)
                  buildings(nb)%factor_c            = building_pars(126,bt)
-                 buildings(nb)%lambda_at           = building_pars(127,bt)    
-                 buildings(nb)%theta_int_h_set     = building_pars(13,bt)    
+                 buildings(nb)%lambda_at           = building_pars(127,bt)
+                 buildings(nb)%theta_int_h_set     = building_pars(13,bt)
                  buildings(nb)%theta_int_c_set     = building_pars(12,bt)
-                 buildings(nb)%q_h_max             = building_pars(128,bt)    
-                 buildings(nb)%q_c_max             = building_pars(129,bt)          
+                 buildings(nb)%q_h_max             = building_pars(128,bt)
+                 buildings(nb)%q_c_max             = building_pars(129,bt)
                  buildings(nb)%qint_high           = building_pars(130,bt)
                  buildings(nb)%qint_low            = building_pars(131,bt)
                  buildings(nb)%height_storey       = building_pars(132,bt)
-                 buildings(nb)%height_cei_con      = building_pars(133,bt) 
+                 buildings(nb)%height_cei_con      = building_pars(133,bt)
                  buildings(nb)%params_waste_heat_h = building_pars(134,bt)
                  buildings(nb)%params_waste_heat_c = building_pars(135,bt)
 
-              IF ( day_of_year >= northward_equinox  .AND.                     &
-                   day_of_year <= southward_equinox )  THEN
-                 buildings(nb)%air_change_low      = summer_pars(0,bt)    
+              IF ( day_of_year >= northward_equinox  .AND.  day_of_year <= southward_equinox )  THEN
+                 buildings(nb)%air_change_low      = summer_pars(0,bt)
                  buildings(nb)%air_change_high     = summer_pars(1,bt)
               ELSE
-                 buildings(nb)%air_change_low      = winter_pars(0,bt)    
+                 buildings(nb)%air_change_low      = winter_pars(0,bt)
                  buildings(nb)%air_change_high     = winter_pars(1,bt)
               ENDIF
 
 !
-!--              Initialize ventilaation load. Please note, building types > 7 
-!--              are actually not allowed (check already in urban_surface_mod  
-!--              and netcdf_data_input_mod. However, the building data base may 
-!--              be later extended. 
-                 IF ( bt ==  1  .OR.  bt ==  2  .OR.                           &
-                      bt ==  3  .OR.  bt == 10  .OR.                           &
+!--              Initialize ventilaation load. Please note, building types > 7
+!--              are actually not allowed (check already in urban_surface_mod
+!--              and netcdf_data_input_mod. However, the building data base may
+!--              be later extended.
+                 IF ( bt ==  1  .OR.  bt ==  2  .OR.                                               &
+                      bt ==  3  .OR.  bt == 10  .OR.                                               &
                       bt == 11  .OR.  bt == 12 )  THEN
                     buildings(nb)%ventilation_int_loads = 1
-!                    
+!
 !--              Office, building with large windows
-                 ELSEIF ( bt ==  4  .OR.  bt ==  5  .OR.                       &
-                          bt ==  6  .OR.  bt ==  7  .OR.                       &
+                 ELSEIF ( bt ==  4  .OR.  bt ==  5  .OR.                                           &
+                          bt ==  6  .OR.  bt ==  7  .OR.                                           &
                           bt ==  8  .OR.  bt ==  9)  THEN
                     buildings(nb)%ventilation_int_loads = 2
 !
 !--              Industry, hospitals
-                 ELSEIF ( bt == 13  .OR.  bt == 14  .OR.                       &
-                          bt == 15  .OR.  bt == 16  .OR.                       &
+                 ELSEIF ( bt == 13  .OR.  bt == 14  .OR.                                           &
+                          bt == 15  .OR.  bt == 16  .OR.                                           &
                           bt == 17  .OR.  bt == 18 )  THEN
                     buildings(nb)%ventilation_int_loads = 3
@@ -1096,16 +1094,16 @@
     ENDIF
 !
-!-- Calculation of surface-related heat transfer coeffiecient
-!-- out of standard u-values from building database 
-!-- only amount of extern and surface is used
-!-- otherwise amount between air and surface taken account twice
+!-- Calculation of surface-related heat transfer coeffiecient out of standard u-values from building
+!-- database.
+!-- Only amount of extern and surface is used.
+!-- Otherwise amount between air and surface taken account twice.
     DO nb = 1, num_build
-       IF ( buildings(nb)%on_pe ) THEN   
+       IF ( buildings(nb)%on_pe ) THEN
           du_win_tmp = 1.0_wp / buildings(nb)%u_value_win
-          u_tmp = buildings(nb)%u_value_win * ( du_win_tmp / ( du_win_tmp -    &
+          u_tmp = buildings(nb)%u_value_win * ( du_win_tmp / ( du_win_tmp -                        &
                   0.125_wp + ( 1.0_wp / h_is ) ) )
-                  
+
           du_tmp = 1.0_wp / u_tmp
-          
+
           buildings(nb)%h_es = 1.0_wp / ( du_tmp - ( 1.0_wp / h_is ) )
 
@@ -1119,6 +1117,5 @@
 !-- Initialize indoor temperature. Actually only for output at initial state.
     DO  nb = 1, num_build
-       IF ( buildings(nb)%on_pe )                                              &
-          buildings(nb)%t_in(:) = initial_indoor_temperature
+       IF ( buildings(nb)%on_pe )  buildings(nb)%t_in(:) = initial_indoor_temperature
     ENDDO
 
@@ -1128,10 +1125,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Main part of the indoor model.
 !> Calculation of .... (kanani: Please describe)
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE im_main_heatcool
 
@@ -1139,19 +1136,20 @@
 !         ONLY:  c_p
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  time_since_reference_point
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:  dx, dy
 
     USE pegrid
-    
-    USE surface_mod,                                                           &
+
+    USE surface_mod,                                                                               &
         ONLY:  ind_veg_wall, ind_wat_win, surf_usm_h, surf_usm_v
 
-    USE urban_surface_mod,                                                     &
-        ONLY:  nzt_wall, t_wall_h, t_wall_v, t_window_h, t_window_v,           &
-               building_type
-
+    USE urban_surface_mod,                                                                         &
+        ONLY:  building_type, nzt_wall, t_wall_h, t_wall_v, t_window_h, t_window_v
+
+
+    INTEGER(iwp) ::  fa   !< running index for facade elements of each building
     INTEGER(iwp) ::  i    !< index of facade-adjacent atmosphere grid point in x-direction
     INTEGER(iwp) ::  j    !< index of facade-adjacent atmosphere grid point in y-direction
@@ -1161,5 +1159,4 @@
     INTEGER(iwp) ::  m    !< running index surface elements
     INTEGER(iwp) ::  nb   !< running index for buildings
-    INTEGER(iwp) ::  fa   !< running index for facade elements of each building
 
     REAL(wp) ::  indoor_wall_window_temperature   !< weighted temperature of innermost wall/window layer
@@ -1171,5 +1168,5 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  t_in_recv     !< dummy recv buffer used for summing-up indoor temperature per kk-level
 !
-!-- Determine time of day in hours. 
+!-- Determine time of day in hours.
     CALL get_date_time( time_since_reference_point, second_of_day=second_of_day )
     time_utc_hour = second_of_day / seconds_per_hour
@@ -1178,9 +1175,9 @@
     DO  nb = 1, num_build
 !
-!--    First, check whether building is present on local subdomain. 
+!--    First, check whether building is present on local subdomain.
        IF ( buildings(nb)%on_pe )  THEN
 !
 !--       Determine daily schedule. 08:00-18:00 = 1, other hours = 0.
-!--       Residental Building, panel WBS 70    
+!--       Residental Building, panel WBS 70
           IF ( buildings(nb)%ventilation_int_loads == 1 )  THEN
              IF ( time_utc_hour >= 8.0_wp  .AND.  time_utc_hour <= 18.0_wp )  THEN
@@ -1199,5 +1196,5 @@
              ENDIF
           ENDIF
-!       
+!
 !--       Industry, hospitals
           IF ( buildings(nb)%ventilation_int_loads == 3 )  THEN
